Subject: Re: [PATCH 1/5] Add Freescale DMA and DMA channel to Documentation/powerpc/booting-without-of.txt file.

From: Segher Boessenkool <[email-masked]>
Date: Fri, 7 Sep 2007 18:30:44 +0200

>> Those don't agree.  It's probably best to describe the whole
>> DMA controller register block in this node.  Why do you need
>> subnodes for the channels at all?
>
> The channels have separate registers and sometimes separate interrupts 
> --
> it's simpler to bind to a channel at a time than to parse a list of reg
> blocks and interrupts.  It's also more flexible in case a new chip 
> comes
> out with more/fewer channels, or if certain channels are not general
> purpose.

I don't see this as more flexible, but no problem, it will work
for sure.

The "reg" vs. textual unit address issue needs to be solved though.

Segher